<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>

  <!-- TOP BACKGROUND -->
  <div class="top-bg {{secondColorBrand}}"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

      <!-- HEADER -->
      <div class="header white-fg"
           fxLayout="column" fxLayoutAlign="center center"
           fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">

          <!-- APP TITLE -->
          <!-- <div class="logo my-12 m-sm-0"
               fxLayout="row" fxLayoutAlign="start center">
              <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">group</mat-icon>
              <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Clientes</span>
          </div> -->
          <!-- / APP TITLE -->

          <!-- SEARCH -->
          <div class="search-input-wrapper mx-12 m-md-0"
               fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
              <label for="search" class="mr-8">
                  <mat-icon class="secondary-text">search</mat-icon>
              </label>
              <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                  <input matInput id="search" #filter (keyup)='searchOnChange($event)' placeholder="Filtrar">
              </mat-form-field>
          </div>
          <!-- / SEARCH -->

          <a mat-raised-button
                  class="add-product-button mat-white-bg my-12 mt-sm-0"
                  [routerLink]="['/plans-cancel/new']">
              <span>NOVO CANCELAMENTO</span>
          </a>          

      </div>
      <!-- / HEADER -->

      <!-- CONTENT CARD -->
      <div class="content-card mat-white-bg">

        <mat-table class="products-table"
          #table 
          [dataSource]="dataSource"
          [@animateStagger]="{value:'50'}"
          fusePerfectScrollbar
          matSort matSortActive="userName" matSortDirection="asc" matSortDisableClear>
          
          <ng-container cdkColumnDef="userName">
            <mat-header-cell *cdkHeaderCellDef>Cliente</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
                <p class="text-truncate">{{element.relationships?.user?.name}}</p>
            </mat-cell>
          </ng-container>          

          <ng-container cdkColumnDef="cpfCnpj">
            <mat-header-cell *cdkHeaderCellDef>CPF/CNPJ</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
                <p class="text-truncate">{{element.relationships?.user?.cpfCnpj}}</p>
            </mat-cell>
          </ng-container>                    

          <ng-container cdkColumnDef="offerName">
            <mat-header-cell *cdkHeaderCellDef>Plano</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
                <p class="text-truncate">{{element.relationships?.offer?.name}}</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="cancelDate">
            <mat-header-cell *cdkHeaderCellDef>Cancelado em</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
                <p class="text-truncate">{{element.lifecycle?.cancelDate | date: 'short'}}</p>
            </mat-cell>
          </ng-container>

          <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
          <mat-row *cdkRowDef="let row; columns: displayedColumns;"
                    class="product"
                    matRipple
                    (click)="selectPlan(row)">
          </mat-row>
        </mat-table>          

          <mat-paginator #paginator
              [length]="resultLength" 
              [pageSize]="10" 
              [pageSizeOptions]="[10, 50, 100]"></mat-paginator>
  
          </div>
          <!-- / CONTENT CARD -->
      </div>
      <!-- / CENTER -->
  </div>  

